# $Revision: 1.20 $, $Date: 2008/07/27 22:31:19 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SmbHash
Summary:	Crypt::SmbHash Perl module - generate LM/NT hashes like smbpasswd
Summary(pl.UTF-8):	Moduł Perla Crypt::SmbHash - generowanie skrótów LM/NT, takich jakie generuje smbpasswd
Name:		perl-Crypt-SmbHash
Version:	0.12
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a6e3f4d65a89bfcc9ba0c69691e6105b
URL:		http://search.cpan.org/dist/Crypt-SmbHash/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides functions to generate LM/NT hashes used in
Samba's 'password' files, like smbpasswd.

%description -l pl.UTF-8
Ten moduł udostępnia funkcje do generowania skrótów LM/NT, używanych
w plikach z hasłami dla Samby - tak, jak robi to program smbpasswd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/SmbHash.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-SmbHash.spec,v $
Revision 1.20  2008/07/27 22:31:19  arekm
- release 2

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.17  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.16  2004/11/03 22:30:14  paladine
- formatting

Revision 1.15  2004/11/01 21:43:15  adamg
- updated to 0.12

Revision 1.14  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.12  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.10  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.9  2004/04/14 11:42:39  ankry
- caps and other cosmetics

Revision 1.8  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:49  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:32  qboosh
- new

